zdump(8)

NOM
zdump - Affichage du fuseau horaire

SYNOPSIS
zdump [ option ... ] [ fuseau_horaire ... ]

DESCRIPTION
zdump affiche la date et l'heure actuelle dans chaque fuseau_horaire cité sur la ligne de commande.

OPTIONS

--version
    afficher les informations de version et quitter.

--help
    Afficher un bref message d'aide et terminer.

-i  Afficher une description d’intervalle de temps. Pour chaque fuseau_horaire dans la ligne de commande, afficher une description d’intervalle de temps du fuseau horaire. Voir ci-dessous.

-v  Afficher une description longue d’intervalles de temps. Pour chaque fuseau_horaire de la ligne de commande, afficher la valeur du temps la plus petite possible, celle un jour plus tard, la date et l’heure une seconde avant et à l'heure juste de chaque discontinuité temporelle, et enfin la valeur du temps un jour avant la plus grande possible et à cette valeur. Chaque ligne est suivie de isdst=D où D est positif, zéro ou négatif selon que le temps indiqué soit respectivement l'heure d’été, l’heure standard ou un type inconnu. Chaque ligne est aussi suivie de gmtoff=N si l’heure locale indiquée est connue comme étant N secondes à l’est de Greenwich.

-V  Identique à -v sauf que les valeurs extrêmes de temps sont omises. Cela génère une sortie plus facilement comparable avec celles des implémentations ayant des représentations de temps différentes.

-c [année_de_début,]année_de_fin
    Coupure de l’intervalle de temps aux années indiquées. Le temps des coupures est calculé selon le calendrier grégorien proleptique avec l’année zéro et le temps universel (UT) ignorant les secondes de rattrapage. Les coupures commencent au début de chaque année, où l’estampille temporelle de début est exclue et celle de fin incluse. Par exemple, -c 1970,2070 sélectionne les transitions après l’instant 1970-01-01 00:00:00 UTC et avant ou à l’instant 2070-01-01 00:00:00 UTC. La valeur de coupure par défaut est -500,2500.

-t [heure_de_début,]heure_de_fin
    Coupure de l’intervalle aux moments indiqués, fournis en secondes décimales depuis le 1970-01-01 00:00:00 (temps universel coordonné — UTC). Le fuseau_horaire détermine si le compte inclut les secondes de rattrapage. Comme avec -c, la limite de début de coupure est exclue et sa limite de fin est incluse.

FORMAT D’INTERVALLE
Le format d’intervalle est une représentation textuelle compacte conçue pour être compréhensible par un humain ou par une machine. Il se compose d’une ligne vide, puis d’une ligne où string est une chaîne entre guillemets doubles indiquant le fuseau horaire, puis une deuxième ligne décrivant un intervalle de temps avant la première transition si celle-ci existe suivies de zéro ou plusieurs lignes une ligne pour chaque moment de transition et d’intervalle suivant. Les champs sont séparés par des tabulations simples.

Les dates sont au format aaaa-mm-jj et les heures au format 24 h hh:mm:ss où hh < 24. L’heure est celle locale immédiate après la transition. Une description d’intervalle de temps consiste en un décalage de temps universel au format signé ±hhmmss, une abréviation de fuseau horaire et un indicateur isdst. Une abréviation qui est égale au décalage de temps universel est omise. Les autres abréviations sont des chaînes entre guillemets doubles à moins de correspondre à un ou plusieurs caractères alphabétiques. Un indicateur isdst est omis pour le temps standard et autrement est un nombre entier décimal sans signe et positif (classiquement 1) pour l’heure d’été et négatif pour inconnu.

Pour les temps et les décalages de temps universel ayant une valeur absolue inférieure à cent heures, les secondes sont omises si elles valent zéro et les minutes sont aussi omises si elles valent zéro. Les décalages de temps universel positifs correspondent à l’est de Greenwich. Le décalage de temps universel -00 désigne un substitut de temps universel pour les zones géographiques où le décalage actuel n’est pas précisé. Par convention, cela se produit quand le décalage de temps universel est zéro et l’abréviation de fuseau horaire débute par ou est

Dans les chaînes entre guillemets doubles, les séquences d’échappement correspondent à des caractères inhabituels. Ces séquences sont \s pour l’espace et \", \\, \f, \n, \r, \t et \v avec leur signification habituelle dans le langage de programmation C. Par exemple, la chaîne entre guillemets doubles “"CET\s\"\\"” représente la séquence de caractère “CET "\”.

Voici un exemple de sortie, sans la ligne vide de début. (Cet exemple est montré avec les fins de tabulation suffisamment distantes pour que les colonnes du tableau soient alignées verticalement.)

TZ="Pacific/Honolulu"
-	-	-103126	LMT
1896-01-13	12:01:26	-1030	HST
1933-04-30	03	-0930	HDT	1
1933-05-21	11	-1030	HST
1942-02-09	03	-0930	HWT	1
1945-08-14	13:30	-0930	HPT	1
1945-09-30	01	-1030	HST
1947-06-08	02:30	-10	HST

Ici le temps local commence 10 heures, 31 minutes et 26 secondes à l’ouest du temps universel et est un temps standard abrégé en LMT. Immédiatement après la première transition, la date est 1896-01-13, l’heure 12:01:26 et l’intervalle suivant est 10,5 heures à l’ouest du temps universel, un temps standard abrégé en HST. Immédiatement après la deuxième transition, la date est 1933-04-30, l’heure 03:00:00 et l’intervalle suivant est 9,5 heures à l’ouest du temps universel abrégé en HDT et est l’heure d’été. Immédiatement après la dernière transition, la date est 1947-06-08 et l’heure 02:30:00, et l’intervalle de temps suivant est 10 heures à l’ouest du temps universel, un temps standard abrégé en HST.

Voici un extrait d’un autre exemple :

TZ="Europe/Astrakhan"
-	-	+031212	LMT
1924-04-30	23:47:48	+03
1930-06-21	01	+04
1981-04-01	01	+05		1
1981-09-30	23	+04
...
2014-10-26	01	+03
2016-03-27	03	+04

Le fuseau horaire est à l’est du temps universel, par conséquent son décalage est positif. Aussi, la plupart des abréviations de fuseau horaire sont omises puisque ce ne sont que des répétitions du texte du décalage de temps universel.

LIMITES
Les discontinuités de temps sont trouvées en échantillonnant les résultats renvoyés par localtime toutes les douze heures. Cela fonctionne dans tous les cas réels. Il est possible de construire des zones horaires artificielles pour lesquelles cela échouerait.

Dans la sortie pour -v et -V, désigne la valeur renvoyée par gmtime(3), qui utilise le temps universel coordonné pour les estampilles temporelles modernes, et pour quelques autres variantes de temps universel d’estampilles temporelles qui précédaient l’introduction du temps universel coordonné. Rien n’est actuellement fait pour que la sortie utilise pour les nouvelles et pour les estampilles temporelles plus anciennes, en partie parce que la date exacte d’introduction du temps universel coordonné est problématique.

VOIR AUSSI
tzfile(5), zic(8)

TRADUCTION
La traduction française de cette page de manuel a été créée par Christophe Blaess <https://www.blaess.fr/christophe/>, Stéphan Rafin <stephan.rafin@laposte.net>, Thierry Vignaud <tvignaud@mandriva.com>, François Micaux, Alain Portal <aportal@univ-montp2.fr>, Jean-Philippe Guérard <fevrier@tigreraye.org>, Jean-Luc Coulon (f5ibh) <jean-luc.coulon@wanadoo.fr>, Julien Cristau <jcristau@debian.org>, Thomas Huriaux <thomas.huriaux@gmail.com>, Nicolas François <nicolas.francois@centraliens.net>, Florentin Duneau <fduneau@gmail.com>, Simon Paillard <simon.paillard@resel.enst-bretagne.fr>, Denis Barbier <barbier@debian.org>, David Prévot <david@tilapin.org> et Jean-Paul Guillonneau <guillonneau.jeanpaul@free.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.